Bug 454784 - denyhosts daemon should start after Mail Transport Agent by default
denyhosts daemon should start after Mail Transport Agent by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: denyhosts (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 20:00 EDT by Naveed Hasan
Modified: 2008-08-11 13:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 13:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naveed Hasan 2008-07-09 20:00:06 EDT
The default settings /etc/rc.d/init.d/denyhosts have it at a priority of 50 and
/etc/rc.d/init.d/sendmail is at priority 80, which is clearly later. This causes
the emailing done by the denyhosts service on bootup to fail. Please fix.
Comment 1 Naveed Hasan 2008-07-09 21:15:39 EDT
/etc/rc.d/init.d/exim and /etc/rc.d/init.d/postfix also have a default priority
setting of 80, FYI. Might I suggest that this line in /etc/rc.d/init.d/denyhosts

# chkconfig:    - 50 01

be changed to

# chkconfig:    - 85 15

Thanks.
Comment 2 Jason Tibbitts 2008-07-10 11:32:38 EDT
Unfortunately that would cause it to start after sshd.  It is not the default
behavior of denyhosts to send email when it starts, so I'm not entirely sure
what behavior you're seeing, but I'm not sure there's a correct answer here.

BTW, postfix does not have this problem; it will queue the mail properly until
the daemon starts.  Exim should have the same behavior.
Comment 3 Jason Tibbitts 2008-07-10 12:18:45 EDT
Further testing on F9 shows that sendmail queues the mail properly as well;
messages sent while sendmail is stopped are delivered fine when it is started.

Could you provide more information on the actual problem you are seeing?  Do you
have any logs or other data which indicate the failure of any generated mail to
be delievered once sendmail is running?
Comment 4 Naveed Hasan 2008-07-10 12:22:24 EDT
I ran into this problem when I installed denyhosts for the first time, set the
service to on in chkconfig and rebooted. The first time denyhosts ran was before
the MTA was running and it failed to email the denied hosts message to root,
dumping the email on my console instead.

Is it really a big problem if denyhosts comes up a few seconds after sshd? It's
retroactive in banning hosts in any case. Also, shouldn't the denyhosts service
depend on sshd (and possibly the MTA) starting successfully?
Comment 5 Jason Tibbitts 2008-08-11 13:57:15 EDT
I checked in a fix for this about a month ago and built for rawhide, but did neglected to address this bug report before I left for vacation.

I don't see any real reason to push this as an updateto F8 and F9 currently; if there are other changes that need to be pushed then this will go along with them.

Note You need to log in before you can comment on or make changes to this bug.